/*
 * [Geom.java]
 *
 * Summary: Sizes in pixels of various fields we display in Currcon with absolute layout.
 *
 * Copyright: (c) 2001-2017 Roedy Green, Canadian Mind Products, http://mindprod.com
 *
 * Licence: This software may be copied and used freely for any purpose but military.
 *          http://mindprod.com/contact/nonmil.html
 *
 * Requires: JDK 1.8+
 *
 * Created with: JetBrains IntelliJ IDEA IDE http://www.jetbrains.com/idea/
 *
 * Version History:
 *  3.5 2008-09-19 allow commas in parameter amount values.
 */
package com.mindprod.currcon;

/**
 * Sizes in pixels of various fields we display in Currcon with absolute layout.
 * <p/>
 * . We don't use a layout manager to keep CurrCon as small as possible.
 *
 * @author Roedy Green, Canadian Mind Products
 * @version 3.5 2008-09-19 allow commas in parameter amount values.
 * @since 2001
 */
public final class Geom
    {
    /**
     * width in pixels of the amount display. [A]
     */
    public static final int COMPACT_AMOUNT_DISPLAY_WIDTH = 76;

    /**
     * width in pixels of a 3-char currency display, no select. [C] JUST DISPLAY NO CHOICE SELECTOR
     */
    public static final int CURR_CODE_DISPLAY_WIDTH = 32; // make sure KRW fits

    /**
     * width in pixels of a currency select  [c]. DROP DOWN SELECTOR
     */
    public static final int CURR_CODE_SELECT_WIDTH = 54; // make sure KRW fits

    /**
     * width in pixels of a currency name display. [N]
     */
    public static final int CURR_NAME_DISPLAY_WIDTH = 130;

    /**
     * width in pixels of the invalid display.
     */
    public static final int INVALID_DISPLAY_WIDTH = 30;

    /**
     * width in pixels of the precise amount display. [P]
     */
    public static final int PRECISE_AMOUNT_DISPLAY_WIDTH = 108;

    /**
     * width in pixels to reserve for the currency symbol.  Might use less, then space given to amount. [$]
     */
    public static final int SYMBOL_DISPLAY_WIDTH = 30;

    /**
     * version number for this class. Must be the same as Exch.
     */
    public static final long serialVersionUID = 5L;
    }
